Bug 3369 - date of submission and author registration closed
date of submission and author registration closed
Status: RESOLVED FIXED
Product: OCS
Classification: Unclassified
Component: Single Conference System
2.1
PC Linux
: P1 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 01:57 PDT by Daniela Dragone
Modified: 2008-06-11 15:49 PDT (History)
0 users

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against pre-2.1 CVS (4.23 KB, patch)
2008-05-06 10:28 PDT, Alec Smecher
Details | Diff
Patch against OJS pre-2.2.1 CVS (8.71 KB, patch)
2008-06-11 15:49 PDT, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniela Dragone 2008-04-16 01:57:20 PDT
Test for OCS 2.1

In the Conference timeline, I have:
- Submission closed on 2008-04-15. 
- Author registration closed on 2008-04-15. 
So, I can't submit anything on 2008-04-15 and an authors can't register on 2008-04-15.
Is a bug? 
I think that if I close the submission on the day 2008-04-15, until midnight of the same day (2008-04-15) I can submit my paper.
If I close the sumbission on midnight of the day before (2008-04-14), and I write on my site "Submission closed on 2008-04-15", people understand that they can submit a paper until midnight of 2008-04-15
We have tested this with a conference on OCS 2.0 and the user complained about this with us.
The same is valid for author registration
Comment 1 Alec Smecher 2008-05-05 15:59:47 PDT
Date settings that would need to be changed to include the closing date:
 - schedConf: regPresenterCloseDate, submissionsCloseDate, regReviewerCloseDate, closeCommentsDate
 - Registration types: closeDate, expiryDate
 - Announcements: expireDate

This will need to be back-ported to OJS too (as it applies).
Comment 2 Alec Smecher 2008-05-06 10:28:05 PDT
Created attachment 620 [details]
Patch against pre-2.1 CVS
Comment 3 Alec Smecher 2008-05-06 10:29:27 PDT
Fixed as per comment #1. Note that you'll need to revisit the affected forms (Timeline, Registration Types, etc.) and save the settings in order for the fix to take effect.
Comment 4 Alec Smecher 2008-06-11 15:49:32 PDT
Created attachment 708 [details]
Patch against OJS pre-2.2.1 CVS